<?php
//TITLE=Finnish language conjugator (inflector)

$title = 'Suomen kielen sanojen taivutusohjelma';
$progname = 'formo';

$text = array(
   '1. Tarkoitus' => "

<style type=\"text/css\"><!--
span.engl {color:#00F}
--></style>

Ohjelma taivuttaa verbej ja nomineja suomen kieliopin sntjen mukaan.
<p>
This program conjugates words in Finnish.
The rest of this document is in Finnish language.

", '1. Tilanne' => "

Ohjelma on kehitysvaiheessa (ja tulee varmasti aina olemaankin,
mutta se ei est sen hytykytt...).
<p>
Useimpien verbien ja joidenkin nominien taivutus toimii,
mutta ohjelman kyttmt datatiedostot ovat turhan suuria
(parikymment kilotavua) ja varsin yleistmttmi.<br>
&nbsp;<br>
<pre class=smallerpre
>formodemo v0.3.0 - Copyright (C) 1992,2005 Bisqwit (http://iki.fi/bisqwit/)
Kiitokset Juha Niemiselle avusta.

Kytt: ./verbformo [&lt;option> [&lt;...>]] &lt;sana> [&lt;...>]

Valitsimet:
    -M, --medipre &lt;mjono>  Mediaalinen esiksittely verbeille (a/p)
    -V, --version          Tulostaa versiotiedon.
    -a, --pass             Valitse passiivi (partisiippien ja III infinitiivin taivutukseen)
    -d, --debug            Debug.
    -h, --help             Tm ohje.
    -j, --sija &lt;sija>      Valitse sijamuoto (nom,gen,ak,es,pa,tr,ine,el,il,ade,abl,al,abe,kom,ins)
    -l, --moni             Valitse monikko (nominien ja nominaalien taivutukseen)
    -m, --tapa &lt;tapa>      Valitse tapaluokka (ind,kond,pot,imp,[1-5]i,1p,2p,suor,johto[1-6]) (verbin taivutukseen)
    -n, --nega             Valitse negaatio (finiittien verbien taivutukseen)
    -p, --pers &lt;muoto>     Valitse persoonamuoto/omistusliite (yks1,yks2,yks3,mon1,mon2,mon3,pass)
    -t, --aika &lt;aika>      Valitse aikamuoto (pr,i,pe,pl finiittien verbien taivutukseen)
    -v, --verbose          Lis tulostettavan tiedon mr.

Huom: Laita taivutettavat sanat komentorivin loppuun.
Uudet valitsimet vaikuttavat vain sit seuraaviin sanoihin.


formodemo v0.3.0 - Copyright (C) 1992,2005 Bisqwit (http://iki.fi/bisqwit/)
Kiitokset Juha Niemiselle avusta.

Kytt: ./nounformo [&lt;option> [&lt;...>]] &lt;sana> [&lt;...>]

Valitsimet:
    -V, --version       Tulostaa versiotiedon.
    -d, --debug         Debug.
    -h, --help          Tm ohje.
    -j, --sija &lt;sija>   Valitse sijamuoto (nom,gen,ak,es,pa,tr,ine,el,il,ade,abl,al,abe,kom,ins)
    -l, --moni          Valitse monikko (nominien ja nominaalien taivutukseen)
    -p, --pers &lt;muoto>  Valitse omistusliite (yks1,yks2,yks3,mon1,mon2,mon3,pass)
    -v, --verbose       Lis tulostettavan tiedon mr.

Huom: Laita taivutettavat sanat komentorivin loppuun.
Uudet valitsimet vaikuttavat vain sit seuraaviin sanoihin.</pre>

", '1. Tuetut muodot' => "

Verbeist:

<ul>
 <li>Nelj finiitti tapaluokkaa
  <ul>
   <li>in(dikatiivi): johdat <span class=engl>(engl. you lead / you are leading)</span></li>
   <li>k(onditionaali): johtaisit (ns. ehtotapa)<span class=engl>(engl. you would lead)</span></li>
   <li>p(otentiaali): johtanet (ns. mahtotapa)<span class=engl>(engl. you might lead)</span></li>
   <li>i(mperatiivi): johda (ns. kskytapa) <span class=engl>(engl. lead (as in: lead! that's an order))</span></li>
  </ul></li>
 <li>Viisi infinitiivi
  <ul>
   <li>1i: johtaa <span class=engl>(engl. to lead)</span></li>
   <li>2i: johtaessa,johtaen (akt) / johdettaessa,johdettaen (pass) (inessiivi,instruktiivi) <span class=engl>(engl. while/by leading)</span></li>
   <li>3i: johtama (akt) / johdettaman (pass,instr) <span class=engl>(engl. led (as in: an army led by a mad general))</span></li>
   <li>4i: johtaminen <span class=engl>(engl. leading (as in: leading is an important skill))</span></li>
   <li>5i: johtamaisillani (vain adessiivi, yks1) <span class=engl>(engl. about to lead)</span></li>
  </ul></li>
 <li>Kaksi partisiippisijaa
  <ul>
   <li>1p: johtava (akt) / johdettava (pass) <span class=engl>(engl. leading/leadable (as in: the leading company))</span></li>
   <li>2p: johtanut (akt) / johdettu (pass) <span class=engl>(engl. led (passive: he has been led many times))</span></li>
  </ul></li>
 <li>Aktiivi ja passiivi (2i/3i/1p/2p taivutuksessa, kuten yll)</li>
 <li>Seitsemn erilaista johdosmuotoa (ei virallisesti hyvksyttyj)
  <ul>
   <li>johto1: johdos</li>
   <li>johto2: johto</li>
   <li>johto3: johdanta</li>
   <li>johto4: johde</li>
   <li>johto5: johtamo</li>
   <li>johto6: johtamus</li>
   <li>suor(ittaja): johtaja</li>
  </ul></li>
 <li>Mediaalinen esiksittely (ketjutettavissa)
  <ul>
   <li>-: johtaa <span class=engl>(engl. to lead)</span></li>
   <li>a: johtua <span class=engl>(engl. to be led)</span></li>
   <li>p: johdattaa <span class=engl>(engl. to cause (something else) being led)</span></li>
   <li>pa: johdattua <span class=engl>(engl. to cause (self) being led)</span></li>
   <li>pp: johdatuttaa</li>
   <li>ppa: johdatuttua</li>
   <li>ppp: johdatutattaa</li>
  </ul></li>
 <li>Nelj aikamuotoa
  <ul>
   <li>pr(eesens): johdat <span class=engl>(engl. you lead)</span></li>
   <li>i(mperfekti): johdit <span class=engl>(engl. you led)</span></li>
   <li>pe(rfekti): olet johtanut <span class=engl>(engl. you have led)</span></li>
   <li>pl(usvamperfekti): olit johtanut <span class=engl>(engl. you had led)</span></li>
  </ul></li>
 <li>Positiivinen ja negatiivinen
  <ul>
   <li>-: johdat <span class=engl>(engl. you lead)</span></li>
   <li>n(egatiivinen): et johda <span class=engl>(engl. you don't lead)</span></li>
  </ul></li>
 <li>Persoonamuodot
  <ul>
   <li>yks1: johdan   <span class=engl>(engl. I lead)</span></li>
   <li>yks2: johdat   <span class=engl>(engl. you lead)</span></li>
   <li>yks3: johtaa   <span class=engl>(engl. he/she/it leads)</span></li>
   <li>mon1: johdamme <span class=engl>(engl. we lead)</span></li>
   <li>mon2: johdatte <span class=engl>(engl. you lead)</span></li>
   <li>mon3: johtavat <span class=engl>(engl. they lead)</span></li>
   <li>pass(iivi): johdetaan <span class=engl>(engl. is being led / (unknown actor) leads)</span></li>
  </ul></li>
</ul>

Nomineista (joita mys ei-finiitit verbimuodot tuottavat):

<ul>
 <li>16 sijamuotoa
  <ul>
   <li>nom(inatiivi): kissa (yks) kissat (mon)             (ns. niment)     <span class=engl>(engl. a cat)</span></li>
   <li>gen(etiivi): kissan (yks) kissojen (mon)            (ns. omanto)      <span class=engl>(engl. cat's)</span></li>
   <li>akk(usatiivi): kissan (yks) kissat (mon)            (ns. kohdanto)    <span class=engl>(engl. cat (as whole object))</span></li>
   <li>ess(iivi): kissana (yks) kissoina (mon)             (ns. olento)      <span class=engl>(engl. as a cat)</span></li>
   <li>part(itiivi): kissaa (yks) kissoja (mon)            (ns. osanto)      <span class=engl>(engl. cat (as partial object)</span></li>
   <li>trans(latiivi): kissaksi (yks) kissoiksi (mon)      (ns. tulento)     <span class=engl>(engl. (become) a cat)</span></li>
   <li>in(essiivi): kissassa (yks) kissoissa (mon)         (ns. sisolento)  <span class=engl>(engl. in a cat)</span></li>
   <li>ela(tiivi): kissasta (yks) kissoista (mon)          (ns. siseronto)  <span class=engl>(engl. from (inside of) a cat)</span></li>
   <li>il(latiivi): kissaan (yks) kissoihin (mon)          (ns. sistulento) <span class=engl>(engl. into a cat)</span></li>
   <li>ade(ssiivi): kissalla (yks) kissoilla (mon)         (ns. ulko-olento) <span class=engl>(engl. on a cat)</span></li>
   <li>abl(atiivi): kissalta (yks) kissoilta (mon)         (ns. ulkoeronto)  <span class=engl>(engl. from (outside of) a cat)</span></li>
   <li>all(atiivi): kissalle (yks) kissoille (mon)         (ns. ulkotulento) <span class=engl>(engl. onto a cat)</span></li>
   <li>ade(ssiivi): kissatta (yks) kissoitta (mon)         (ns. vajanto)     <span class=engl>(engl. without a cat)</span></li>
   <li>kom(itatiivi): kissoineni (yks1) kissoinemme (mon1) (ns. seuranto)    <span class=engl>(engl. with (my) cat (as a possession))</span></li>
   <li>ins(truktiivi): kissoin (yks,mon)                   (ns. keinonto)    <span class=engl>(engl. with cats (as an instrument))</span></li>
  </ul></li>
 <li>1 adverbisija
  <ul>
   <li>mul(tiplikatiivi): johtavasti                        <span class=engl>(engl. by the means of being a leading (something))</span></li>
  </ul></li>
 <li>Yksikk, monikko (kuten yll)</li>
 <li>Omistusliitteet
  <ul>
   <li>yks1: johtaessani,kissani  <span class=engl>(engl. while I (was) leading, my cat)</span></li>
   <li>yks2: johtaessasi,kissasi  <span class=engl>(engl. while you (was) leading, your cat)</span></li>
   <li>yks3: johtaessaan,kissansa  <span class=engl>(engl. while he/she/it (was) leading, his/her/its cat)</span></li>
   <li>mon1: johtaessamme,kissamme <span class=engl>(engl. while we (were) leading, our cat)</span></li>
   <li>mon2: johtaessanne,kissanne <span class=engl>(engl. while you (were) leading, your cat)</span></li>
   <li>mon3: johtaessaan,kissansa  <span class=engl>(engl. while they (were) leading, their cat)</span></li>
  </ul></li>
</ul>

Nit ei viel tueta:
<ul>
 <li>Vertailumuodot
  <ul>
   <li>pos(itiivi):    kaunis    <span class=engl>(engl. beautiful)</span></li>
   <li>kom(paratiivi): kauniimpi <span class=engl>(engl. more beautiful)</span></li>
   <li>sup(erlatiivi): kaunein   <span class=engl>(engl. most beautiful)</span></li>
  </ul></li>
 <li>Optatiivi (ollos, tullos)</li>
 <li>Muut adverbisijat
  <ul>
    <li>Superessiivi:  toisaalla                  <span class=engl>(engl. at      other place)</span></li>
    <li>Delatiivi:     toisaalta                  <span class=engl>(engl. from    other place)</span></li>
    <li>Sublatiivi:    toisaalle                  <span class=engl>(engl. towards other place)</span></li>
    <li>Latiivi:       kauemmas,rannemmas         <span class=engl>(engl. (towards) further, more towards the shore)</span></li>
    <li>Kausatiivi:    vhiten,eniten,siten,tten <span class=engl>(engl. least, most, thus)</span></li>
    <li>Temporaali:    muulloin,tllin           <span class=engl>(engl. at other times, at these times)</span></li> 
    <li>Distributiivi: vhittin                  <span class=engl>(engl. little by little)</span></li>
    <li>Temporaalinen distributiivi: talvisin     <span class=engl>(engl. at winters)</span></li>
    <li>Prolatiivi:    meritse                    <span class=engl>(engl. via seas)</span></li>
    <li>Situatiivi:    siskkin                  <span class=engl>(engl. inside each others)</span></li>
    <li>Oppositiivi:   kasvotusten                <span class=engl>(engl. in front of each other's face)</span></li>
  </ul></li>
</ul>

", '1. Kopiointi' => "

Ohjelman on kirjoittanut Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
ja sit saa levitt seuraavien ehtojen alla:
<blockquote><code>".
str_replace("\n",'<br>',htmlspecialchars(fread(fopen('/WWW/TINYFREELICENSE','r'),filesize('/WWW/TINYFREELICENSE')))).
"</code></blockquote>

", '1. Asennus' => "

<pre class=smallerpre
>\$ make
\$ su
# make install</pre>

", '1. Viitteit' => "

<ul>
 <li><a href=\"http://www.cs.tut.fi/~jkorpela/finnish-cases.html\">http://www.cs.tut.fi/~jkorpela/finnish-cases.html</a></li>
 <li><a href=\"http://www.cc.jyu.fi/~pamakine/kieli/suomi/sijat/sijatadverbi.html\">http://www.cc.jyu.fi/~pamakine/kieli/suomi/sijat/sijatadverbi.html</a></li>
 <li><a href=\"http://fi.wikipedia.org/wiki/Suomen_kieli\">http://fi.wikipedia.org/wiki/Suomen_kieli</a></li>
</ul>

");
include '/WWW/progdesc.php';
